Package org.apache.jmeter.gui.action

# Class ExitCommand

java.lang.Object
org.apache.jmeter.gui.action.AbstractAction
org.apache.jmeter.gui.action.AbstractActionWithNoRunningTest
org.apache.jmeter.gui.action.ExitCommand

All Implemented Interfaces:
  `Command`

@AutoService(Command.class) public class ExitCommand extends AbstractActionWithNoRunningTest

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExitCommand()`
  Constructor for the ExitCommand object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `doActionAfterCheck(ActionEvent e)`
  Description of the Method
  `Set<String>`
  `getActionNames()`
  Gets the ActionNames attribute of the ExitCommand object

  ### Methods inherited from class org.apache.jmeter.gui.action.AbstractActionWithNoRunningTest

  `doAction`

  ### Methods inherited from class org.apache.jmeter.gui.action.AbstractAction

  `getParentFrame, popupCheckExistingFileListener, popupShouldSave`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ExitCommand

    public ExitCommand()
    Constructor for the ExitCommand object

- ## Method Details

  - ### getActionNames

    public Set<String> getActionNames()
    Gets the ActionNames attribute of the ExitCommand object
    Returns:
      The ActionNames value

  - ### doActionAfterCheck

    public void doActionAfterCheck(ActionEvent e)
    Description of the Method
    Specified by:
      `doActionAfterCheck` in class `AbstractActionWithNoRunningTest`
    Parameters:
      `e` - Description of Parameter